#pragma once

#include <pqxx/pqxx>
#include <string>

namespace maps::wiki::query_builder {

class Query {
public:
    virtual ~Query() = default;

    virtual std::string asString(const pqxx::transaction_base& txn) const = 0;

protected:
    Query() = default;
};

} // namespace maps::wiki::query_builder
